Page MenuHomePhabricator

[MIPS GlobalISel] Lower arguments using stack
ClosedPublic

Authored by Petar.Avramovic on Jun 8 2018, 2:34 AM.

Details

Summary

Lower more then 4 arguments using stack, patch targets MIPS 32.
Supports only functions with arguments of type i32.

Diff Detail

Repository
rL LLVM

Event Timeline

Petar.Avramovic created this revision.Jun 8 2018, 2:34 AM

Does anybody have any comment?

atanasyan added inline comments.Jun 15 2018, 6:17 AM
lib/Target/Mips/MipsCallLowering.cpp
54 ↗(On Diff #150468)

Keyword virtual is redundant in case of using override.

111 ↗(On Diff #150468)

Redundant empty line.

138 ↗(On Diff #150468)

Keyword virtual is redundant in case of using override.

175 ↗(On Diff #150468)

Redundant empty line.

Petar.Avramovic added a reviewer: atanasyan.

Removed redundant virtual keywords and empty lines.
Using MachineMemOperand * instead of auto for clarity.

Petar.Avramovic marked 4 inline comments as done.Jun 18 2018, 1:18 AM
atanasyan accepted this revision.Jul 2 2018, 8:15 AM

LGTM

Sorry for the delay.

This revision is now accepted and ready to land.Jul 2 2018, 8:15 AM
This revision was automatically updated to reflect the committed changes.